- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.InstallResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.marketplaceIntegrations/install#body.aspect_1)

**Full name**: projects.locations.instances.marketplaceIntegrations.install

Installs a specific version of a marketplace integration into a SecOps instance. This process sets up the necessary components (actions, connectors, etc.) and can optionally override existing mappings.

### HTTP request

`POST https://{endpoint}/v1beta/{parent}:install`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to install MarketplaceIntegrations for. Format: projects/{project}/locations/{location}/instances/{instance} Override integration's ontology if integration is already installed. Can be optional, if not provided set to false by default. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "overrideMapping": boolean, "staging": boolean, "version": string, "restoreIntegrationSnapshot": boolean } ``` |

| Fields ||
|---|---|
| `overrideMapping` | `boolean` Optional. Determines if the integration should override the ontology if already installed, if not provided, set to false by default. |
| `staging` | `boolean` Optional. Determines if the integration should be installed as staging or production, if not provided, installed as production. |
| `version` | `string` Optional. Determines which version of the integration should be installed. |
| `restoreIntegrationSnapshot` | `boolean` Optional. Determines if the integration should be installed from existing integration snapshot. |

### Response body

Response message for marketplaceIntegrations.install.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "identifier": string, "version": string } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Required. The installed integration. |
| `version` | `string` Output only. The installed integration version. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.marketplaceIntegrations.install`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).